Core - Bug # 58533

Task # 51436 (Resolved): Standalone unit test runner

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Unit/Functional Tests
Created: 2014-05-05 Assigned To:

Updated: 2014-05-05 Due date:

TYPO3 Version: 6.2

PHP Version: 5.5

Complexity: no-brainer

Is Regression: No

Sprint Focus:

Subiject: Tests: Find all unit tests automatically

Description

Related issues:

related to Core - Bug # 58578: Find all functional tests, optimize travis-ci Resolved 2014-05-06

Associated revisions

Revision cfécde21 - 2014-05-05 20:22 - Christian Kuhn

[TASK] Tests: Find all tests automatically

All regular unit tests are located at
typo3/sysext/"extension"/Tests/Unit. The patch substitutes the single
suite registration in UnitTests.xml with a wildcard, only "Legacy"

and "Integration" tests are still registered as special locations.

Following this schema, tests located at default locations within
extensions will be found automatically without explicit registration.

Resolves: #58533

Related: #51436

Releases: 6.2

Change-Id: 1c822a68f60060437d2e3aabea7754f5b1e72af50
Reviewed-on: https://review.typo3.org/29879

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 87310e5a - 2014-05-06 21:25 - Christian Kuhn
[TASK] Find functional tests automatically, optimize travis-ci
Simalar to UnitTests.xml, FunctionalTests.xml no longer register
single test suites but find all functional tests cases using a
wildcard.

For travis-ci, single tests cases are now given to parallel using
gnu find. This leads to a nice performance improvement on travis

since more but shorter processes are executed, sharing the available

hardware more effectively.
https://review.typo3.org/29879

Change-Id: 18dc34ed2fcc1ae8390bc05dbe6f5e7009af17a36
Resolves: #58578

Related: #58533

Releases: 6.2

Reviewed-on: https://review.typo3.org/29901

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2014-05-05 20:03 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/29879

#2 - 2014-05-05 20:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:cf6cde21d8225d7100894fe58f57995304a2070f.
